3 Replies Latest reply on Aug 25, 2014 1:49 PM by bhaugen

    error on mac have 10.6 says needs 10.7

    huntley1

      error downloading digital editions have 10.6 says i need 10.7, help!